#ifndef PROGRAM_H
#define PROGRAM_H

#include "DolibarrClient.h"
#include <M5Stack.h>
#include "ServoMotorComponent.h"
#include "NfcReader.h"
#include "GRBL.h"
#include "BigNfcReader.h"

class Program {
public:
    /**
     * Program startup
     */
    Program();

    /**
     * Program WarehouseGUI loop
     */
    void loop();
    void checkNfc();
    void checkServo();
    void checkWifi();
private:
    DolibarrClient *client;
    ServoMotorComponent *servo;
    NfcReader *nfcReader;
    GRBL *grbl;
    BigNfcReader* outputReader;
    int grblUpdateTime;
};

#endif
